com.collabnet.ce.soap60.webservices.tag

## Class TagAppSoapMockStub

- java.lang.Object
- - com.collabnet.ce.soap60.webservices.ClientSoapStub
  - - com.collabnet.ce.soap60.webservices.ClientSoapMockStub
    - - com.collabnet.ce.soap60.webservices.tag.TagAppSoapMockStub

- All Implemented Interfaces:
    ITagAppSoap

      public class TagAppSoapMockStub
      extends com.collabnet.ce.soap60.webservices.ClientSoapMockStub
      implements ITagAppSoap

- - ### Field Summary

    - ### Fields inherited from class com.collabnet.ce.soap60.webservices.ClientSoapMockStub

      `DATE_WILDCARD, GUIDKEY_WILDCARD, INTEGER_WILDCARD, LONG_WILDCARD, STRING_WILDCARD`

    - ### Fields inherited from class com.collabnet.ce.soap60.webservices.ClientSoapStub

      `DEFAULT_CLIENT_TIME_OUT`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TagAppSoapMockStub(String soapServerUrl)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `checkTagsPermission(String projectId, String userName, int action, com.vasoftware.sf.server.types.UserSessionKey sessionKey)` Simulate a call to checkTagsPermission
    `TagSoapDO` | `createTag(String sessionId, String projectId, String name, String description)` Simulate a call to createTag
    `void` | `deleteTag(String sessionId, String tagId)` Simulate a call to deleteTag
    `TagSoapList` | `getObjectTags(String sessionId, String objectId)` Simulate a call to getObjectTags
    `TagSoapDO` | `getTag(String sessionId, String tagId)` Simulate a call to getTag
    `TagSoapDO` | `getTagByName(String sessionId, String projectId, String tagName)` Simulate a call to getTagByName
    `boolean` | `hasSameElements(Set set1, Set set2)` Simulate a call to hasSameElements
    `TagSoapList` | `listTags(String sessionId, String projectId)` Simulate a call to listTags
    `void` | `prepareCheckTagsPermission(String projectId, String userName, int action, com.vasoftware.sf.server.types.UserSessionKey sessionKey)` Prepare a simulated response to checkTagsPermission
    `void` | `prepareCheckTagsPermission(String projectId, String userName, int action, com.vasoftware.sf.server.types.UserSessionKey sessionKey, Exception exception)` Prepare a simulated response to checkTagsPermission
    `void` | `prepareCreateTag(String sessionId, String projectId, String name, String description, Object returnValue)` Prepare a simulated response to createTag
    `void` | `prepareDeleteTag(String sessionId, String tagId)` Prepare a simulated response to deleteTag
    `void` | `prepareDeleteTag(String sessionId, String tagId, Exception exception)` Prepare a simulated response to deleteTag
    `void` | `prepareGetObjectTags(String sessionId, String objectId, Object returnValue)` Prepare a simulated response to getObjectTags
    `void` | `prepareGetTag(String sessionId, String tagId, Object returnValue)` Prepare a simulated response to getTag
    `void` | `prepareGetTagByName(String sessionId, String projectId, String tagName, Object returnValue)` Prepare a simulated response to getTagByName
    `void` | `prepareHasSameElements(Set set1, Set set2, Object returnValue)` Prepare a simulated response to hasSameElements
    `void` | `prepareListTags(String sessionId, String projectId, Object returnValue)` Prepare a simulated response to listTags
    `void` | `prepareSetObjectTags(String sessionId, String objectId, String[] tagIds, Object returnValue)` Prepare a simulated response to setObjectTags
    `void` | `prepareToTagIterable(com.collabnet.ctf.tag.service.TagService tagSvc, Set tagIds, com.vasoftware.sf.server.types.Path objPath, com.vasoftware.sf.server.types.UserSessionKey sessionKey, Object returnValue)` Prepare a simulated response to toTagIterable
    `void` | `prepareUpdateTag(String sessionId, String tagId, String name, String description, Object returnValue)` Prepare a simulated response to updateTag
    `TagSoapList` | `setObjectTags(String sessionId, String objectId, String[] tagIds)` Simulate a call to setObjectTags
    `Iterable` | `toTagIterable(com.collabnet.ctf.tag.service.TagService tagSvc, Set tagIds, com.vasoftware.sf.server.types.Path objPath, com.vasoftware.sf.server.types.UserSessionKey sessionKey)` Simulate a call to toTagIterable
    `TagSoapDO` | `updateTag(String sessionId, String tagId, String name, String description)` Simulate a call to updateTag

    - ### Methods inherited from class com.collabnet.ce.soap60.webservices.ClientSoapMockStub

      `addSimulatedResult, addSimulatedResult, addSimulatedResult, getCallCount, getCallParameters, getUnusedCalls, simulateCall`

    - ### Methods inherited from class com.collabnet.ce.soap60.webservices.ClientSoapStub

      `getServiceCall, getSoapServer, getTimeout, setTimeout`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TagAppSoapMockStub

          public TagAppSoapMockStub(String soapServerUrl)

  - ### Method Detail

    - #### prepareListTags

          public void prepareListTags(String sessionId,
                                      String projectId,
                                      Object returnValue)

      Prepare a simulated response to listTags
      See Also:
        `TagAppSoap.listTags(java.lang.String, java.lang.String)`

    - #### listTags

          public TagSoapList listTags(String sessionId,
                                      String projectId)
                               throws RemoteException

      Simulate a call to listTags
      Specified by:
        `listTags` in interface `ITagAppSoap`
      Parameters:
        `sessionId` - User session id
        `projectId` - Project identifier.
      Returns:
        List of tags.
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when the specified session id is invalid.
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - when the project id is invalid.
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - when the current user does not have permission to view tags.
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system level error occurs.
        `RemoteException`
      See Also:
        `TagAppSoap.listTags(java.lang.String, java.lang.String)`

    - #### prepareGetTag

          public void prepareGetTag(String sessionId,
                                    String tagId,
                                    Object returnValue)

      Prepare a simulated response to getTag
      See Also:
        `TagAppSoap.getTag(java.lang.String, java.lang.String)`

    - #### getTag

          public TagSoapDO getTag(String sessionId,
                                  String tagId)
                           throws RemoteException

      Simulate a call to getTag
      Specified by:
        `getTag` in interface `ITagAppSoap`
      Parameters:
        `sessionId` - User session id
        `tagId` - Tag id
      Returns:
        Tag data
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when session id is not valid
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - when current user does not have permission to view tags
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - when tag id is not valid
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system level exception occurs.
        `RemoteException`
      See Also:
        `TagAppSoap.getTag(java.lang.String, java.lang.String)`

    - #### prepareGetTagByName

          public void prepareGetTagByName(String sessionId,
                                          String projectId,
                                          String tagName,
                                          Object returnValue)

      Prepare a simulated response to getTagByName
      See Also:
        `TagAppSoap.getTagByName(java.lang.String, java.lang.String, java.lang.String)`

    - #### getTagByName

          public TagSoapDO getTagByName(String sessionId,
                                        String projectId,
                                        String tagName)
                                 throws RemoteException

      Simulate a call to getTagByName
      Specified by:
        `getTagByName` in interface `ITagAppSoap`
      Parameters:
        `sessionId` - User session id
        `projectId` - Project identifier
        `tagName` - Tag name
      Returns:
        Tag data
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when session id is not valid
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - when current user does not have permission to view tags
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - when project id/tag name is not valid
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system level exception occurs.
        `RemoteException`
      See Also:
        `TagAppSoap.getTagByName(java.lang.String, java.lang.String, java.lang.String)`

    - #### prepareCreateTag

          public void prepareCreateTag(String sessionId,
                                       String projectId,
                                       String name,
                                       String description,
                                       Object returnValue)

      Prepare a simulated response to createTag
      See Also:
        `TagAppSoap.createTag(java.lang.String, java.lang.String, java.lang.String, java.lang.String)`

    - #### createTag

          public TagSoapDO createTag(String sessionId,
                                     String projectId,
                                     String name,
                                     String description)
                              throws RemoteException

      Simulate a call to createTag
      Specified by:
        `createTag` in interface `ITagAppSoap`
      Parameters:
        `sessionId` - User session id
        `projectId` - Project identifier
        `name` - tag's name
        `description` - tag's description
      Returns:
        New tag's data
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when session id is not valid
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - when current user does not have permission to create tags
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - when project id is not valid
        `com.collabnet.ce.soap60.fault.IllegalArgumentFault` - when new tag name is not valid
        `com.collabnet.ce.soap60.fault.ObjectAlreadyExistsFault` - when another tag exists by the new name
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system level exception occurs.
        `RemoteException`
      See Also:
        `TagAppSoap.createTag(java.lang.String, java.lang.String, java.lang.String, java.lang.String)`

    - #### prepareUpdateTag

          public void prepareUpdateTag(String sessionId,
                                       String tagId,
                                       String name,
                                       String description,
                                       Object returnValue)

      Prepare a simulated response to updateTag
      See Also:
        `TagAppSoap.updateTag(java.lang.String, java.lang.String, java.lang.String, java.lang.String)`

    - #### updateTag

          public TagSoapDO updateTag(String sessionId,
                                     String tagId,
                                     String name,
                                     String description)
                              throws RemoteException

      Simulate a call to updateTag
      Specified by:
        `updateTag` in interface `ITagAppSoap`
      Parameters:
        `sessionId` - User session id
        `tagId` - Tag id
        `name` - Tag's new name
        `description` - Tag's new description
      Returns:
        Updated tag data
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when session id is not valid
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - when current user does not have permission to edit tags
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - when tag id is not valid
        `com.collabnet.ce.soap60.fault.VersionMismatchFault` - when there is a version mismatch
        `com.collabnet.ce.soap60.fault.IllegalArgumentFault` - when new tag name is not valid
        `com.collabnet.ce.soap60.fault.ObjectAlreadyExistsFault` - when another tag exists by the new name
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system level exception occurs.
        `RemoteException`
      See Also:
        `TagAppSoap.updateTag(java.lang.String, java.lang.String, java.lang.String, java.lang.String)`

    - #### prepareDeleteTag

          public void prepareDeleteTag(String sessionId,
                                       String tagId)

      Prepare a simulated response to deleteTag
      See Also:
        `TagAppSoap.deleteTag(java.lang.String, java.lang.String)`

    - #### prepareDeleteTag

          public void prepareDeleteTag(String sessionId,
                                       String tagId,
                                       Exception exception)

      Prepare a simulated response to deleteTag
      See Also:
        `TagAppSoap.deleteTag(java.lang.String, java.lang.String)`

    - #### deleteTag

          public void deleteTag(String sessionId,
                                String tagId)
                         throws RemoteException

      Simulate a call to deleteTag
      Specified by:
        `deleteTag` in interface `ITagAppSoap`
      Parameters:
        `sessionId` - User session id
        `tagId` - Tag id
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when session id is not valid
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - when current user does not have permission to delete tags
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - when tag id is not valid
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system level exception occurs.
        `RemoteException`
      See Also:
        `TagAppSoap.deleteTag(java.lang.String, java.lang.String)`

    - #### prepareGetObjectTags

          public void prepareGetObjectTags(String sessionId,
                                           String objectId,
                                           Object returnValue)

      Prepare a simulated response to getObjectTags
      See Also:
        `TagAppSoap.getObjectTags(java.lang.String, java.lang.String)`

    - #### getObjectTags

          public TagSoapList getObjectTags(String sessionId,
                                           String objectId)
                                    throws RemoteException

      Simulate a call to getObjectTags
      Specified by:
        `getObjectTags` in interface `ITagAppSoap`
      Parameters:
        `sessionId` - User session id
        `objectId` - Object id (artifact or document)
      Returns:
        List of tags for the object
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when session id is not valid
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - when current user does not have permission to view the specified object
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - when object id is not valid
        `com.collabnet.ce.soap60.fault.InvalidOperationFault` - when object id does not represent an artifact or a document
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system level exception occurs.
        `RemoteException`
      See Also:
        `TagAppSoap.getObjectTags(java.lang.String, java.lang.String)`

    - #### prepareSetObjectTags

          public void prepareSetObjectTags(String sessionId,
                                           String objectId,
                                           String[] tagIds,
                                           Object returnValue)

      Prepare a simulated response to setObjectTags
      See Also:
        `TagAppSoap.setObjectTags(java.lang.String, java.lang.String, java.lang.String[])`

    - #### setObjectTags

          public TagSoapList setObjectTags(String sessionId,
                                           String objectId,
                                           String[] tagIds)
                                    throws RemoteException

      Simulate a call to setObjectTags
      Specified by:
        `setObjectTags` in interface `ITagAppSoap`
      Parameters:
        `sessionId` - User session id
        `objectId` - Object id (artifact or document)
        `tagIds` - Array of tag ids (null or empty will remove the existing tags)
      Returns:
        Updated list of tags for the object
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when session id is not valid
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - when current user does not have permission to edit the specified object
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - when object/tag id is not valid
        `com.collabnet.ce.soap60.fault.IllegalArgumentFault` - when number of tags exceeds allowed limit (10)
        `com.collabnet.ce.soap60.fault.InvalidOperationFault` - when object id does not represent an artifact or a document
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system level exception occurs.
        `RemoteException`
      See Also:
        `TagAppSoap.setObjectTags(java.lang.String, java.lang.String, java.lang.String[])`

    - #### prepareHasSameElements

          public void prepareHasSameElements(Set set1,
                                             Set set2,
                                             Object returnValue)

      Prepare a simulated response to hasSameElements
      See Also:
        `TagAppSoap.hasSameElements(java.util.Set<java.lang.String>, java.util.Set<java.lang.String>)`

    - #### hasSameElements

          public boolean hasSameElements(Set set1,
                                         Set set2)
                                  throws RemoteException

      Simulate a call to hasSameElements
      Throws:
        `RemoteException`
      See Also:
        `TagAppSoap.hasSameElements(java.util.Set<java.lang.String>, java.util.Set<java.lang.String>)`

    - #### prepareToTagIterable

          public void prepareToTagIterable(com.collabnet.ctf.tag.service.TagService tagSvc,
                                           Set tagIds,
                                           com.vasoftware.sf.server.types.Path objPath,
                                           com.vasoftware.sf.server.types.UserSessionKey sessionKey,
                                           Object returnValue)

      Prepare a simulated response to toTagIterable
      See Also:
        `TagAppSoap.toTagIterable(com.collabnet.ctf.tag.service.TagService, java.util.Set<java.lang.String>, com.vasoftware.sf.server.types.Path, com.vasoftware.sf.server.types.UserSessionKey)`

    - #### toTagIterable

          public Iterable toTagIterable(com.collabnet.ctf.tag.service.TagService tagSvc,
                                        Set tagIds,
                                        com.vasoftware.sf.server.types.Path objPath,
                                        com.vasoftware.sf.server.types.UserSessionKey sessionKey)
                                 throws RemoteException

      Simulate a call to toTagIterable
      Throws:
        `RemoteException`
      See Also:
        `TagAppSoap.toTagIterable(com.collabnet.ctf.tag.service.TagService, java.util.Set<java.lang.String>, com.vasoftware.sf.server.types.Path, com.vasoftware.sf.server.types.UserSessionKey)`

    - #### prepareCheckTagsPermission

          public void prepareCheckTagsPermission(String projectId,
                                                 String userName,
                                                 int action,
                                                 com.vasoftware.sf.server.types.UserSessionKey sessionKey)

      Prepare a simulated response to checkTagsPermission
      See Also:
        `TagAppSoap.checkTagsPermission(java.lang.String, java.lang.String, int, com.vasoftware.sf.server.types.UserSessionKey)`

    - #### prepareCheckTagsPermission

          public void prepareCheckTagsPermission(String projectId,
                                                 String userName,
                                                 int action,
                                                 com.vasoftware.sf.server.types.UserSessionKey sessionKey,
                                                 Exception exception)

      Prepare a simulated response to checkTagsPermission
      See Also:
        `TagAppSoap.checkTagsPermission(java.lang.String, java.lang.String, int, com.vasoftware.sf.server.types.UserSessionKey)`

    - #### checkTagsPermission

          public void checkTagsPermission(String projectId,
                                          String userName,
                                          int action,
                                          com.vasoftware.sf.server.types.UserSessionKey sessionKey)
                                   throws RemoteException

      Simulate a call to checkTagsPermission
      Throws:
        `RemoteException`
      See Also:
        `TagAppSoap.checkTagsPermission(java.lang.String, java.lang.String, int, com.vasoftware.sf.server.types.UserSessionKey)`

Copyright © 2019 CollabNet. All rights reserved.